%{!?perl_version: %define perl_version %(eval "`%{__perl} -V:version`"; echo $version)}
%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

%define modn   Crypt-Blowfish
%define modv   2.10


Summary:       A Blowfish encryption module for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       distributable
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Dave Paris <a-mused@pobox.com>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::CBC) >= 1.22
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Blowfish is capable of strong encryption and can use key sizes up to
56 bytes (a 448 bit key). You're encouraged to take advantage of the
full key size to ensure the strongest encryption possible from this
module.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL          \
	INSTALLDIRS="vendor" \
	OPTIMIZE="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYRIGHT Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt
%{_mandir}/man3/*.3*


%changelog
* Sat Jun 07 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.10-1
- Initial build
